Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156601 - DVB card detection problem
Summary: DVB card detection problem
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-02 12:04 UTC by Markku Kolkka
Modified: 2014-03-17 02:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-15 10:04:30 UTC


Attachments (Terms of Use)
/etc/sysconfig/hwconf (deleted)
2005-05-02 17:48 UTC, Markku Kolkka
no flags Details
lsmod output after boot (deleted)
2005-05-02 18:48 UTC, Markku Kolkka
no flags Details

Description Markku Kolkka 2005-05-02 12:04:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Kudzu detected my DVB card (Terratec Cinergy 1200 DVB-C) on boot, but the appropriate kernel modules aren't loaded automatically. I need to manually modprobe budget-av to enable the card. 

Version-Release number of selected component (if applicable):
kudzu-1.1.95-1

How reproducible:
Always

Steps to Reproduce:
1. Boot the system

  

Actual Results:  Nothing happens.
"modprobe budget-av" is required to get the DVB card to work.

Expected Results:  The card should be enabled automatically. Additionally, the user logged in at console should be given access rights to the DVB device.

Additional info:

lspci -vv shows:
00:0b.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
        Subsystem: TERRATEC Electronic GmbH: Unknown device 1156
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (3750ns min, 9500ns max)
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at f7005000 (32-bit, non-prefetchable) [size=512]

Comment 1 Bill Nottingham 2005-05-02 16:19:38 UTC
Can you attach your /etc/sysconfig/hwconf?

Comment 2 Markku Kolkka 2005-05-02 17:48:34 UTC
Created attachment 113930 [details]
/etc/sysconfig/hwconf

Comment 3 Bill Nottingham 2005-05-02 18:21:07 UTC
Hrm, that *should* get loaded automatically at the 'initializing hardware' set.
Will have to do some more tests here.

On a clean bootup, what modules do you have loaded?

Comment 4 Markku Kolkka 2005-05-02 18:48:46 UTC
Created attachment 113933 [details]
lsmod output after boot

Comment 5 Markku Kolkka 2005-06-15 10:04:30 UTC
Fixed in FC4 (exept for setting the device owner).


Note You need to log in before you can comment on or make changes to this bug.